#!/bin/bash

MINERVALIB=/work/code/minervaLib
TARGETJAR=$1
TARGETCLASS=$2

# Put all library JAR files in classpath
for i in $MINERVALIB/*.jar; do
	CLASSPATH=$CLASSPATH:$i;
done;

# Add the server JAR itself to classpath. 
CLASSPATH=$CLASSPATH:$TARGETJAR
export CLASSPATH
echo "CLASSPATH = $CLASSPATH";

java $TARGETCLASS $3 $4 $5 $6 $7 $8
